get.refentry.metadata.prefs
Prev | Common » Refentry Metadata Template Reference | Next

## get.refentry.metadata.prefs

get.refentry.metadata.prefs — Gets user preferences for refentry metadata gathering

## Synopsis

    <xsl:template name="get.refentry.metadata.prefs"/>

## Description

The DocBook XSL stylesheets include several user-configurable global stylesheet parameters for controlling `refentry` metadata gathering. Those parameters are not read directly by the other `refentry` metadata-gathering templates. Instead, they are read only by the `get.refentry.metadata.prefs` template, which assembles them into a structure that is then passed to the other `refentry` metadata-gathering templates.

So the, `get.refentry.metadata.prefs` template is the only interface to collecting stylesheet parameters for controlling `refentry` metadata gathering.

## Parameters

There are no local parameters for this template; however, it does rely on a number of global parameters.

## Returns

Returns a `manual` node.

Prev | Up | Next
get.refentry.manual | Home | set.refentry.metadata